<?php



function wpetss_print_select_box($data,$id,$cur='',$class='',$blank=true,$array_id=false,$allow_new=false){
	$sel = '<select name="'.$id.'" id="'.$id.'" class="'.$class.'"';
	if($allow_new){
		$sel .= ' onchange="if(this.value==\'create_new_item\'){
			jQuery(this).attr(\'name\',\'old_'.$id.'\');
			this.name=\'old_'.$id.'\';
			jQuery(this).attr(\'id\',\'old_'.$id.'\');
			this.id=\'old_'.$id.'\';
			jQuery(this).hide();
			var f = jQuery(this).parent().find(\'input\').first();
			f.show();
			f.attr(\'name\',\''.$id.'\');
			f[0].name=\''.$id.'\';
			f.attr(\'id\',\''.$id.'\');
			f[0].id=\''.$id.'\';
			f[0].focus();
			f[0].select();
		}"';

	}
	$sel .= '>';
	if($blank){
		$foo = ucwords(str_replace("_"," ",$id));
		$sel .= '<option value="">' . ($blank===true ? ' - Select - ' : $blank) . '</option>';
	}
	$found_selected = false;
	$current_val = 'Enter new value here';
	foreach($data as $key => $val){
		$sel .= '<option value="'.$key.'"';
		if(is_array($val)){
			if(!$array_id){
				if(isset($val[$id]))$array_id = $id;
				else $array_id = key($val);
			}
			$printval = $val[$array_id];
		}else{
			$printval = $val;
		}
        // to handle 0 elements:
        if($cur !== false && ($cur != '') && $key == $cur){
			$current_val = $printval;
			$sel .= ' selected';
			$found_selected = true;
		}
		$sel .= '>'.$printval.'</option>';
	}
	if($cur && !$found_selected){
		$sel .= '<option value="'.$cur.'" selected>'.$cur.'</option>';
	}
	if($allow_new){
		$sel .= '<option value="create_new_item">'.__(' - Create New - ', 'wpetss', 'wpetss') .'</option>';
	}
	$sel .= '</select>';
	if($allow_new){
		$sel .= '<input type="text" name="new_'.$id.'" style="display:none;" value="'.$current_val.'">';

	}
	return $sel;
}

function wpetss_process_pagination($rows,$per_page = 15,$page_number = false,$table_id='table'){
	$data = array();
	$data['rows']=array();
	$data['links']='';
	if($per_page<=0){
		$per_page = 20;
	}

	$db_resource = false;
	if(is_resource($rows)){
		// have the db handle for the sql query
		$db_resource = $rows;
		unset($rows);
		$rows = array();
		$total = mysql_num_rows($db_resource);
		if($total<=$per_page){
			// pull out all records.
			while($row = mysql_fetch_assoc($db_resource)){
				$rows[] = $row;
			}
		}
	}else if(is_array($rows)){
		// we have the rows in an array.
		$total = count($rows);
    }else if($rows==false){
        return array();
	}else{
        var_dump($rows);
		echo 'Pagination failed. Please report this bug.';
		exit;
	}

	// default summary/links content
	ob_start();
	echo '<div class="pagination_summary">';
	if($total > 0){
		echo '<p>Showing records ' . (($page_number*$per_page)+1) . ' to ' . $total .' of ' . $total . '</p>';
	}else{
		echo '<p>No results found</p>';
	}
	echo '</div>';
	$data['summary'] = ob_get_clean();
	ob_start();
	echo '<div class="pagination_links">';
	echo "\n<p>";
	echo 'Page 1 of 1';
	echo '</p>';
	echo '</div>';
	$data['links']=ob_get_clean();

	if($total<=$per_page){

		// double up on query rows from above. oh well.
		$data['rows']=$rows;
	}else{
		$pg=0;
		if(!$page_number){
			$page_number = isset($_REQUEST['pg'.$table_id]) ? $_REQUEST['pg'.$table_id] : 0;
		}
		$page_number = min(ceil($total/$per_page)-1,$page_number);


		// slice up the result into the number of rows requested.
		if($db_resource){
			// do the the mysql way:
			mysql_data_seek($db_resource, ($page_number*$per_page));
			$x=0;
			while($x < $per_page){
				$row_data = mysql_fetch_assoc($db_resource);
				if($row_data){
					$data['rows'] [] = $row_data;
				}
				$x++;
			}
			unset($row_data);
		}else{
			// the old array way.
			$data['rows']=array_slice($rows, ($page_number*$per_page), $per_page);
		}
		$data['summary']='';
		$data['links']='';
		$request_uri = preg_replace('/[&?]pg'.preg_quote($table_id).'=\d+/','',$_SERVER['REQUEST_URI']);
		$request_uri .= (preg_match('/\?/',$request_uri)) ? '&' : '?';
		$request_uri = htmlspecialchars($request_uri);
		if(count($data['rows'])){

			$page_count = ceil($total/$per_page);
			// group into ranges with cute little .... around the numbers if there's too many.
			$rangestart = max(0,$page_number-5);
			$rangeend = min($page_count-1,$page_number+5);

			ob_start();
			echo '<div class="pagination_summary">';
			echo '<p>Showing records ' . (($page_number*$per_page)+1) . ' to ' . (($page_number*$per_page)+count($data['rows'])) .' of ' . $total . '</p>';
			echo '</div>';
			$data['summary'] = ob_get_clean();
			ob_start();
			echo '<div class="pagination_links">';
			echo "\n<p>";
			if($page_number > 0){
			?>
			<a href="<?php echo $request_uri;?>pg<?php echo $table_id;?>=<?php echo $page_number-1;?>#t_<?php echo $table_id;?>" rel="<?php echo $page_number-1;?>">&laquo; Prev</a> |
			<?php
			}else{
			?>
			&laquo; Prev |
			<?php
			}
			if($rangestart>0){
				?> <a href="<?=$request_uri;?>pg<?php echo $table_id;?>=0#t_<?php echo $table_id;?>" rel="0" class="">1</a> <?php
				if($rangestart>1)echo ' ... ';
			}
			for($x=$rangestart;$x<=$rangeend;$x++){
				if($x == $page_number){
					?>
					<a href="<?=$request_uri;?>pg<?php echo $table_id;?>=<?=$x;?>#t_<?php echo $table_id;?>" rel="<?=$x;?>" class="current"><?=($x+1);?></a>
					<?php
				}else{
					?>
					<a href="<?=$request_uri;?>pg<?php echo $table_id;?>=<?=$x;?>#t_<?php echo $table_id;?>" rel="<?=$x;?>" class=""><?=($x+1);?></a>
					<?php
				}
			}
			if($rangeend < ($page_count-1)){
				if($rangeend < ($page_count-2))echo ' ... ';
				?> <a href="<?=$request_uri;?>pg<?php echo $table_id;?>=<?=($page_count-1);?>#t_<?php echo $table_id;?>" rel="<?=($page_count-1);?>" class=""><?=($page_count);?></a> <?php
			}

			if($page_number < ($page_count-1)){
			?>
			| <a href="<?php echo $request_uri;?>pg<?php echo $table_id;?>=<?php echo $page_number+1;?>#t_<?php echo $table_id;?>" rel="<?php echo $page_number+1;?>">Next &raquo;</a>
			<?php
			}else{
			?>
			| Next &raquo;
			<?php
			}
			echo '</p>';
			echo '</div>';
			?>
			<script type="text/javascript">
				jQuery(function(){
					jQuery('.pagination_links a').each(function(){
						// make the links post the search bar on pagination.
						jQuery(this).click(function(){
							// see if there's a search bar to post.
							var search_form = false;
							search_form = jQuery('.search_form')[0]
							jQuery('.search_bar').each(function(){
								var form = jQuery(this).parents('form');
								if(typeof form != 'undefined'){
									search_form = form;
								}
							});
							if(typeof search_form == 'object'){
								jQuery(search_form).append('<input type="hidden" name="pg<?php echo $table_id;?>" value="'+jQuery(this).attr('rel')+'">');
								search_form = search_form[0];
								if(typeof search_form.submit == 'function'){
									search_form.submit();
								}else{
									jQuery('[name=submit]',search_form).click();
								}
								return false;
							}
						});
					});
				});
			</script>
			<?php
			$data['links']=ob_get_clean();
		}
	}
	return $data;
}



function wpetss_ordinal($i){$l=substr($i,-1);return$i.($l>3||$l==0?'th':($l==3?'rd':($l==2?'nd':'st')));}


function wpetss_forum_text($text){
	$text = htmlspecialchars($text);

	// convert links
    $text = " ".$text;
    $text = preg_replace('#(((f|ht){1}tps?://)[-a-zA-Z0-9@:;%_\+.~\#?&//=\[\]]+)#i', '<a href="\\1" target=_blank>\\1</a>', $text);
    $text = preg_replace('#([[:space:]()[{}])(www.[-a-zA-Z0-9@:;%_\+.~\#?&//=]+)#i', '\\1<a href="http://\\2" target=_blank>\\2</a>', $text);
    $text = preg_replace('#([_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,3})#i', '<a href="mailto:\\1" target=_blank>\\1</a>', $text);

    $text = ltrim($text);

	$print_text = '';
	foreach(explode("\n",$text) as $line){
		$line = rtrim($line);
		$line = preg_replace("/\t/","&nbsp;&nbsp;&nbsp;",$line);
		if(preg_match('/^(\s+)/',$line,$matches)){
			$line = str_repeat("&nbsp;",strlen($matches[1])) . ltrim($line);
		}
		$print_text .= $line . "<br/>\n";
	}
	return $print_text;
}



function wpetss_input_date($date,$include_time=false){

	if(
		!$date ||
		(preg_match('/[a-z]/i',$date) && !preg_match('/^[\+-]\d/',$date)) ||
		preg_match('/^\d+$/',$date)
	)return '';

	// takes a user input date and returns the mysql YYYY-MM-DD valid format.
	// 1 = DD/MM/YYYY
	// 2 = YYYY/MM/DD
	// 3 = MM/DD/YYYY

	// could use sscanf below, but still wanted to run preg_match
	// so used implode(explode( instead... meh

    if(preg_match('#^\d?\d([-/])\d?\d\1\d{2,4}(.*)$#',$date,$matches)){
        $time_bits = $matches[2];
        $date = str_replace($time_bits,'',$date);
        $date = implode("-",array_reverse(explode($matches[1],$date)));
        $date .= $time_bits;
        if(strtotime($date)){
            $date = date('Y-m-d'.(($include_time)?' H:i:s':''),strtotime($date));
        }
    }else if(preg_match('#^\d{2,4}([-/])\d?\d\1\d?\d(.*)$#',$date,$matches)){
        $time_bits = $matches[2];
        $date = str_replace($time_bits,'',$date);
        $date = implode("-",explode($matches[1],$date));
        $date .= $time_bits;
        if(strtotime($date)){
            $date = date('Y-m-d'.(($include_time)?' H:i:s':''),strtotime($date));
        }
    }else if(preg_match('#^\d?\d([-/])\d?\d\1\d{2,4}(.*)$#',$date,$matches)){
        $time_bits = $matches[2];
        $date = str_replace($time_bits,'',$date);
        $date_bits = explode($matches[1],$date);
        $date = $date_bits[2] .'-'. $date_bits[0] .'-'. $date_bits[1];
        $date .= $time_bits;
        if(strtotime($date)){
            $date = date('Y-m-d'.(($include_time)?' H:i:s':''),strtotime($date));
        }
    }

    if($include_time){
        // if we're on todays date, and there is no time set, use nows time.
        if(date('Y-m-d',strtotime($date)) == date('Y-m-d')){
            if($date == date('Y-m-d H:i:s',strtotime(date('Y-m-d')))){
                $date = date('Y-m-d H:i:s');
            }
        }
    }

	return $date;
}

function wpetss_print_date($date,$include_time=false){
    if((int)$date == $date){
        $time = $date;
    }else{
        $time = strtotime($date);
    }
    echo date(get_option('date_format','Y-m-d').($include_time ? ' '.get_option('time_format','H:i:s') : ''),$time);
}

function wpetss_frndlyfilesize($filesize){

    if(is_numeric($filesize)){
        $decr = 1024;
        $step = 0;
        $prefix = array('Byte','KB','MB','GB','TB','PB');

        while(($filesize / $decr) > 0.9){
            $filesize = $filesize / $decr;
            $step++;
        }
        return round($filesize,2).' '.$prefix[$step];
    } else {
        return '0';
    }
}