<div class="wrap">



<?php

$assignable_users = module_ticket::get_assignable_users_rel();


if(isset($_REQUEST['ticket_account_id']) && $_REQUEST['ticket_account_id']){
    $ticket_account_id = (int)$_REQUEST['ticket_account_id'];
    if($ticket_account_id > 0){
        $ticket_account = module_ticket::get_ticket_account($ticket_account_id);
    }else{
        $ticket_account = array(
            'name' => '',
            'email' => '',
            'username' => '',
            'password' => '',
            'host' => '',
            'port' => '110',
            'delete' => '0',
            'default_customer_id' => '0',
            'default_user_id' => '0',
            'default_type' => get_option('ticket_default_type','General Support'),
            'subject_regex' => '',
            'body_regex' => '',
        );
    }
    ?>

    <div id="icon-options-general" class="icon32"><br></div>
   <h2>
       <?php _e('POP3 Account Settings', 'wpetss'); ?>
   </h2>
    

    <?php if(isset($_REQUEST['msg'])){
        switch($_REQUEST['msg']){
            case 2:
                ?>
                <div id="message" class="updated below-h2"><p><?php _e('Settings saved successfully', 'wpetss');?>.</p></div>
                <?php
                break;
        }
    }
    ?>

    <p>&nbsp;</p>

        <form action="" method="post">
            <input type="hidden" name="_wpetss_process" value="save_ticket_account">
            <input type="hidden" name="ticket_account_id" value="<?php echo $ticket_account_id; ?>" />

                        <table width="100%" border="0" cellspacing="0" cellpadding="2" class="tableclass">
                            <tbody>
                                <tr>
                                    <th>
                                        <?php echo __('Name/Label', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <input type="text" name="name"  value="<?php echo htmlspecialchars($ticket_account['name']); ?>" />
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <?php echo __('Email Address', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <input type="text" name="email"  value="<?php echo htmlspecialchars($ticket_account['email']); ?>" size="60" />
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <?php echo __('POP3 Username', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <input type="text" name="username"  value="<?php echo htmlspecialchars($ticket_account['username']); ?>" size="60" />
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <?php echo __('POP3 Password', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <input type="password" name="password"  value="<?php echo htmlspecialchars($ticket_account['password']); ?>" />
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <?php echo __('POP3 Host', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <input type="text" name="host"  value="<?php echo htmlspecialchars($ticket_account['host']); ?>" />
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <?php echo __('POP3 Port', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <input type="text" name="port"  value="<?php echo htmlspecialchars($ticket_account['port']); ?>" size="7" />
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <?php echo __('Delete', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <select name="delete">
                                            <option value="1"<?php echo $ticket_account['delete']==1 ? ' selected':'';?>>Yes, delete emails from POP3 after import</option>
                                            <option value="0"<?php echo $ticket_account['delete']==0 ? ' selected':'';?>>No, leave emails in POP3 account</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <?php echo __('Default Assigned User', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <?php
                                        echo wpetss_print_select_box($assignable_users,'default_user_id',$ticket_account['default_user_id']);
                                        ?>
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <?php echo __('Default Type', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <input type="text" name="default_type"  value="<?php echo htmlspecialchars($ticket_account['default_type']); ?>" />
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <?php echo __('Subject Regex', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <input type="text" name="subject_regex"  value="<?php echo htmlspecialchars($ticket_account['subject_regex']); ?>" size="60" />
                                        (only process emails that match this regex in the subject, advanced option! read about regex <a href="http://en.wikipedia.org/wiki/Regular_expression" target="_blank">here</a>, example: #support email#i)
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <?php echo __('Body Regex', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <input type="text" name="body_regex"  value="<?php echo htmlspecialchars($ticket_account['body_regex']); ?>"  size="60" />
                                        (only process emails that match this regex in the body, advanced option! read about regex <a href="http://en.wikipedia.org/wiki/Regular_expression" target="_blank">here</a>, example: #support email#i)
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <?php echo __('To Regex', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <input type="text" name="to_regex"  value="<?php echo htmlspecialchars($ticket_account['to_regex']); ?>"  size="60" />
                                        (only process emails that match this regex in the to address, advanced option! read about regex <a href="http://en.wikipedia.org/wiki/Regular_expression" target="_blank">here</a>, example: #foo@bar\.com#i)
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <?php echo __('Collect From', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <input type="text" name="start_date"  value="<?php echo htmlspecialchars($ticket_account['start_date']); ?>"  size="20" /> YYYY-MM-DD = only collect emails from this account after this date. 
                                    </td>
                                </tr>

                                <tr>
                                    <th>
                                        <?php echo __('Last Checked', 'wpetss'); ?>
                                    </th>
                                    <td>
                                        <?php echo $ticket_account['last_checked'] ? wpetss_print_date($ticket_account['last_checked'],true) : 'Never'; ?>
                                    </td>
                                </tr>

                            </tbody>
                        </table>

                        <input type="submit" name="butt_save" id="butt_save" value="<?php echo __('Save', 'wpetss'); ?>" class="submit_button" />
                        <!-- <input type="submit" name="butt_del" id="butt_del" value="<?php echo __('Delete', 'wpetss'); ?>" onclick="return confirm('<?php echo __('Really delete this record?', 'wpetss'); ?>');" class="submit_button" /> -->
                        <input type="button" name="cancel" value="<?php echo __('Cancel', 'wpetss'); ?>" onclick="window.location.href='admin.php?page=wpetss-accounts';" class="submit_button" />


        </form>

    <?php
}else{
    ?>


    <?php

    $ticket_accounts = module_ticket::get_ticket_accounts();

    $columns = array(
        'name' => 'Ticket Account',
        'email' => 'Email Address',
        'type' => 'Default Type',
        'user' => 'Default User',
        'last_checked' => 'Last Checked',
    );
    register_column_headers('wpetss-account-list', $columns);
    ?>


    <div id="icon-options-general" class="icon32"><br></div>
   <h2>
       <?php _e('POP3 Accounts', 'wpetss'); ?>
       <a href="?page=wpetss-accounts&ticket_account_id=new" class="button add-new-h2"><?php _e('Add New', 'wpetss');?></a>
   </h2>
    <p>&nbsp;</p>

    <table class="widefat page fixed" cellspacing="0">
           <thead>
               <tr>
                   <?php print_column_headers('wpetss-account-list'); ?>
               </tr>
           </thead>
           <!--<tfoot>
               <tr>
                   <?php /*print_column_headers('wpetss-list', false); */?>
               </tr>
           </tfoot>-->
           <tbody>
            <?php
            $c=0;
            foreach($ticket_accounts as $ticket_account){
                ?>
                <tr class="<?php echo ($c++%2)?"odd":"even"; ?>">
                    <td class="row_action" nowrap="">
                        <a href="?page=wpetss-accounts&ticket_account_id=<?php echo $ticket_account['ticket_account_id'];?>"><?php echo htmlspecialchars($ticket_account['name']);?></a>
                    </td>
                    <td>
                        <?php echo htmlspecialchars($ticket_account['email']); ?>
                    </td>
                    <td>
                        <?php echo htmlspecialchars($ticket_account['default_type']); ?>
                    </td>
                    <td>
                        <?php echo htmlspecialchars($assignable_users[$ticket_account['default_user_id']]); ?>
                    </td>
                    <td>
                        <?php echo $ticket_account['last_checked'] ? wpetss_print_date($ticket_account['last_checked'],true) : 'Never'; ?>
                    </td>
                </tr>
            <?php } ?>
        </tbody>
    </table>
<?php } ?>

</div>