<?php



$alltickets = module_ticket::get_tickets(array('status_id'=>'2,3,5'));
$total_count = count($alltickets);
$alltickets = array_slice($alltickets,0,get_option('ticket_dashboard_limit',3));

$columns = array(
    'number' => 'Ticket Number',
    'subject' => 'Subject',
    'date_time' => 'Date/Time',
    'type' => 'Type',
);
register_column_headers('wpetss-list', $columns);

?>
<table class="widefat page fixed" cellspacing="0">
   <thead>
       <tr>
           <?php print_column_headers('wpetss-list'); ?>
       </tr>
   </thead>
   <!--<tfoot>
       <tr>
           <?php /*print_column_headers('wpetss-list', false); */?>
       </tr>
   </tfoot>-->
   <tbody>
       <?php foreach ($alltickets as $ticket){
       $ticket=(array)$ticket;
       ?>
       <tr>
           <td class="row_action" nowrap="">
               <a href="admin.php?page=wpetss-edit-ticket&ticket_id=<?php echo $ticket['ticket_id'];?>&view=foo"><?php echo htmlspecialchars(module_ticket::ticket_number($ticket['ticket_id']));?></a>
               (<?php echo $ticket['message_count'];?>)
           </td>
           <td>
               <?php
               if($ticket['unread']){
                   echo '<strong>';
                   echo ' * ';
                   echo htmlspecialchars($ticket['subject']);
                   echo '</strong>';
               }else{
                   echo htmlspecialchars($ticket['subject']);
               }
               ?>
           </td>
           <td>
              <?php
               if($ticket['last_message_timestamp']){
               echo date(get_option('date_format','Y-m-d').' '.get_option('time_format','H:i:s'),($ticket['last_message_timestamp']));
               } ?>
           </td>
           <td>
               <?php echo htmlspecialchars($ticket['type']); ?>
           </td>
       </tr>
       <?php  } ?>
   </tbody>
</table>
    <p>
    <a href="admin.php?page=wpetss-dashboard" class="button"><?php printf(__('Manage All %s tickets', 'wpetss'),$total_count);?></a>
    </p>