

<div class="wrap">
<div id="icon-options-general" class="icon32"><br></div>
<h2><?php _e('Ticket Settings', 'wpetss');?></h2>


<?php if(isset($_REQUEST['msg'])){
    switch($_REQUEST['msg']){
        case 2:
            ?>
            <div id="message" class="updated below-h2"><p><?php _e('Settings saved successfully', 'wpetss');?>.</p></div>
            <?php
            break;
    }
}
?>
    
  <form action="" method="post" >
            <input type="hidden" name="save" value="save">
       <table width="100%" class="wpetss_table wpetss_table_line">
           <thead>
           <tr>
           <th>
               <em>Settings</em>
           </th>
           <th>
               <em>Value</em>
           </th>
           <th>
               <em>Help</em>
           </th>
           </tr>
           </thead>
           <tbody>
           <tr>
               <td>
                    Turn Around Time
               </td>
               <td>
                   <input type="text" name="wpetss_setting_ticket_turn_around_days" value="<?php echo get_option('ticket_turn_around_days',5);?>" size="5">
                   <input type="text" name="wpetss_setting_ticket_turn_around_units" value="<?php echo get_option('ticket_turn_around_units','days');?>" size="8">
               </td>
               <td>
                   <em>Roughly how long it takes you to reply to a ticket.</em>
               </td>
           </tr>
           <tr>
               <td>
                    Department List
               </td>
               <td>
                   <input type="text" name="wpetss_setting_ticket_default_types" value="<?php echo get_option('ticket_default_types','Website Problem,Billing Enquiry,Sales,General Support,Other');?>" size="50">
               </td>
               <td>
                   <em>Comma separated list of default support types.</em>
               </td>
           </tr>
           <tr>
               <td>
                    Default Department
               </td>
               <td>
                   <input type="text" name="wpetss_setting_ticket_default_type" value="<?php echo get_option('ticket_default_type','General Support');?>" size="50">
               </td>
               <td>
                   <em>Defualt department to assign when one isn't set.</em>
               </td>
           </tr>
           <tr>
               <td>
                    Tickets Per Page
               </td>
               <td>
                   <input type="text" name="wpetss_setting_ticket_per_page" value="<?php echo get_option('ticket_per_page',15);?>" size="50">
               </td>
               <td>
                   <em>How many tickets to display per page in the main ticket listing.</em>
               </td>
           </tr>
           <tr>
               <td>
                    Dashboard Tickets
               </td>
               <td>
                   <input type="text" name="wpetss_setting_ticket_dashboard_limit" value="<?php echo get_option('ticket_dashboard_limit',3);?>" size="50">
               </td>
               <td>
                   <em>How many pending tickets to display on the dashboard.</em>
               </td>
           </tr>
           <tr>
               <td>
                    Redirect
               </td>
               <td>
                   <input type="text" name="wpetss_setting_ticket_redirect" value="<?php echo get_option('ticket_redirect',get_home_url());?>" size="50">
               </td>
               <td>
                   <em>The URL public users are taken to after submitting a ticket (eg: thankyou page).</em>
               </td>
           </tr>
           <tr>
               <td>
                    Auto Response:
               </td>
               <td>
                   <textarea name="wpetss_setting_ticket_auto_responder" rows="5" cols="50"><?php echo htmlspecialchars(get_option('ticket_auto_responder',module_ticket::$default_autoresponder));?></textarea>
               </td>
               <td>
                   <em>Message sent back to the ticket creator when they submit their first ticket.</em>
               </td>
           </tr>
           <tr>
               <td>
                    Template:
               </td>
               <td>
                   <textarea name="wpetss_setting_ticket_template" rows="7" cols="50"><?php echo htmlspecialchars(get_option('ticket_template',module_ticket::$default_template));?></textarea>
               </td>
               <td>
                   <em>Template used when emails are sent back to the ticket creator. (html allowed)</em>
               </td>
           </tr>
           <tr>
               <td>
                    Admin Email Alert
               </td>
               <td>
                   <input type="text" name="wpetss_setting_ticket_email_alert" value="<?php echo htmlspecialchars(get_option('ticket_email_alert',get_option('admin_email')));?>" size="50">
               </td>
               <td>
                   <em>When a new ticket is submitted through your WordPress blog, send an email alert to this address (set to blank to disable this feature).</em>
               </td>
           </tr>
           <tr>
               <td>
                    Admin Email Subject
               </td>
               <td>
                   <input type="text" name="wpetss_setting_ticket_admin_alert_subject" value="<?php echo htmlspecialchars(get_option('ticket_admin_alert_subject',module_ticket::$default_admin_alert_subject));?>" size="50">
               </td>
               <td>
                   <em>Email of the subject sent to the admin when a new ticket is posted via the website.</em>
               </td>
           </tr>
           <tr>
               <td>
                    Admin Alert:
               </td>
               <td>
                   <textarea name="wpetss_setting_ticket_admin_alert" rows="5" cols="50"><?php echo htmlspecialchars(get_option('ticket_admin_alert',module_ticket::$default_admin_alert));?></textarea>
               </td>
               <td>
                   <em>Text sent to the admin (above) when a new ticket is placed via the website.</em>
               </td>
           </tr>
           <tr>
               <td>
                    Public Title:
               </td>
               <td>
                   <input type="text" name="wpetss_setting_ticket_public_header" value="<?php echo get_option('ticket_public_header','Submit a support ticket'); ?>" size="50">
               </td>
               <td>
                   <em>Title displayed above the "Submit Ticket" form on your blog.</em>
               </td>
           </tr>
           <tr>
               <td>
                    Public Header:
               </td>
               <td>
                   <textarea name="wpetss_setting_ticket_public_welcome" rows="3" cols="50"><?php echo get_option('ticket_public_welcome','Hello, here you can request a support ticket. <br/> Simply fill in the fields below and press "Submit Ticket".'); ?></textarea>
               </td>
               <td>
                   <em>Message displayed above the "Submit Ticket" form on your blog. (html allowed)</em>
               </td>
           </tr>
           </tbody>
       </table>
            <input type="submit" name="update_settings" value="Save Settings">
    </form>


<div id="icon-options-general" class="icon32"><br></div>
<h2><?php _e('Cron job', 'wpetss');?></h2>
    <p>
        Please contact your hosting provider and ask them to setup this cron job to run every 5 or 10 minutes:
    </p>
    <pre>
        php <?php echo $plugin_dir .'cron.php';?>
    </pre>
    <p>
        Or if you have a web based Cron service you can call the following url every 5 or 10 minutes:
    </p>
    <pre>
        <?php echo $plugin_url.'cron.php'; ?>
    </pre>
    </div>