<?php


function wpetss_query($sql,$cache=false){
    global $wpdb;
	$res = $wpdb->query($sql); //or die(mysql_error() . $sql);
	return $res;
}

function wpetss_query_to_array($res){
	$array = array();
    if(!$res)return $array;
	while($row = mysql_fetch_assoc($res)){
		if(isset($row['id']) && $row['id'])
			$array[$row['id']] = $row;
		else
			$array[] = $row;
	}
	return $array;
}
function wpetss_qa($sql,$cache=false){
    global $wpdb;
	$res = $wpdb->get_results($sql,ARRAY_A);
//    print_r($sql);
//    print_r($res);
	$array = array();
	foreach($res as $row){
		if(isset($row['id']) && $row['id'])
			$array[$row['id']] = $row;
		else
			$array[] = $row;
	}
    return $array;
}
function wpetss_qa1($sql){
    return array_shift(wpetss_qa($sql));
}

function wpetss_get_fields($table,$ignore=array(),$hidden=array()){
    global $wpdb;
	static $fieldscache=array();
	if(isset($fieldscache[$table])){
		return $fieldscache[$table];
	}
    $sql = "SHOW FIELDS FROM `".$wpdb->prefix."$table`";
    $res = wpetss_qa($sql,true);
	$fields = array();
	foreach($res as $r){
		$format = "";
		$type = 'text';
		if(count($ignore) && in_array($r['Field'],$ignore))continue;
		if(count($hidden) && in_array($r['Field'],$hidden)){
			$type = "hidden";
		// new field for file.
		}else if(preg_match("/^file_/",$r['Field']) && preg_match("/varchar\((\d+)\)/",$r['Type'],$matches)){
			$type = "file";
			$size = 50; $maxlength = 255;
		}else if(preg_match("/varchar\((\d+)\)/",$r['Type'],$matches)){
			$type = "text";
			$size = max("10",min("30",$matches[1]));
			$maxlength = $matches[1];
		}else if(preg_match("/int/i",$r['Type']) || preg_match("/float/i",$r['Type'])){
			$format = array("/^\d+$/","Integer");
			$type = "number";
			$maxlength = $size = 20;
		}else if($r['Type'] == "text"){
			$type = "textarea";
			$size = 0;
		}else if($r['Type'] == "date" || $r['Type'] == "datetime"){
			$format = array("/^\d\d\d\d-\d\d-\d\d$/","YYYY-MM-DD");
			$type = "date";
			$maxlength = $size = 20;
		}else if(preg_match("/decimal/",$r['Type'])){
			$format = array("/^\d+\.?[\d+]?$/","Decimal");
			$type = "decimal";
			$maxlength = $size = 20;
		}
		$required = false;
		if($r['Null']=="NO")$required = true;
		$fields[$r['Field']] = array("name"=>$r['Field'],"type"=>$type,"dbtype"=>$r['Type'],"size" =>$size ,"maxlength"=>$maxlength,"required"=>$required,"format"=>$format);
	}
	$fieldscache[$table] = $fields;
	return $fields;
}


function wpetss_get_single($table,$key,$val){

    global $wpdb;
	$table = $wpdb->escape($table);
	$fields = wpetss_get_fields($table,array("date_created","date_updated"));
	if(!is_array($key))$key = array($key);
	if(!is_array($val))$val = array($val);

	$sql = "SELECT * FROM `".$wpdb->prefix."$table` WHERE ";
	foreach($key as $kid => $k){
		$sql .= "`" . $wpdb->escape($k) . "` = '" . $wpdb->escape($val[$kid]) . "' AND ";
	}
	$sql = rtrim($sql," AND ");
	$res = wpetss_qa($sql);
	if(count($res)){
		$res = array_shift($res);
		// set correct types on data.
		//print_r($fields);exit;
		foreach($fields as $field){
			if(!isset($res[$field['name']]))continue;
			//if($field['type']=='number'){
            if(isset($field['format']) && $field['format']){
                $format = current($field['format']);
                if($format){
				    //$res[$field['name']] = preg_replace($format,'',$res[$field['name']]);
                }
			}
		}
        $return = $res;
		/*if(!module_security::can_access_data($table,$res)){
			$return = array();
		}else{
			$return = $res;
		}*/
	}
	else{
		$return = array();
	}
	return $return;
}

function wpetss_get_single_row($table,$keys,$vals){
	return wpetss_get_single($table,$keys,$vals);
}

function wpetss_update_insert($pkey,$pid,$table,$data=false,$debug=false){

    global $wpdb;
	if($data===false){
		$data = $_REQUEST;
	}
	$fields = wpetss_get_fields($table,array("date_created","date_updated")); //

    if($debug){
        echo "$table <br>";
        print_r($fields);
    }
	if(isset($fields['date_created'])){
		unset($fields['date_created']);
	}

	if(!is_numeric($pid) || !$pid){
		$pid = 'new';
		$sql = "INSERT INTO `".$wpdb->prefix."$table` SET date_created = NOW(), ";
		if(isset($fields['create_user_id']) && $_SESSION['_user_id']){
			$sql .= "`create_user_id` = '".(int)$_SESSION['_user_id']."', ";
			unset($fields['create_user_id']);
		}
		if(isset($fields['create_ip_address'])){
			$sql .= "`create_ip_address` = '".$wpdb->escape($_SERVER['REMOTE_ADDR'])."', ";
			unset($fields['create_ip_address']);
		}
		// check there's a valid site id
		if(isset($fields['site_id']) && (!isset($data['site_id']) || !$data['site_id']) && isset($_SESSION['_site_id'])){
			$data['site_id'] = $_SESSION['_site_id'];
		}
		$where = "";
        //module_security::sanatise_data($table,$data);
        // todo - sanatise data here before we go through teh loop.
        // if sanatisation fails or data access fails then we stop the update/insert.
        if(!$data){
			// dont do this becuase $email->new_email() fails.
           // return false;
        }
	}else{
		// TODO - security hook here, check if we can access this data.
		/*$security_dummy=array();
		if(!module_security::can_access_data($table,$security_dummy,$pid)){
			echo 'Security warning - unable to save data';
			exit;
			return false;
		}*/
		$updated = false;
		if(!$updated){
			$updated = 'NOW()';
		}
		$sql = "UPDATE `".$wpdb->prefix."$table` SET date_updated = $updated,";
		if(isset($fields['update_user_id']) && $_SESSION['_user_id']){
			$sql .= "`update_user_id` = '".(int)$_SESSION['_user_id']."', ";
			unset($fields['update_user_id']);
		}
		if(isset($fields['update_ip_address'])){
			$sql .= "`update_ip_address` = '".$wpdb->escape($_SERVER['REMOTE_ADDR'])."', ";
			unset($fields['update_ip_address']);
		}
		$where = " WHERE `$pkey` = '".$wpdb->escape($pid)."'";
	}

	//print_r($fields);exit;
    //print_r($data);exit;

    if(isset($data[$pkey])){
        unset($data[$pkey]);
    }

	foreach($fields as $field){
		if(!isset($data[$field['name']]) || $data[$field['name']] === false){
			continue;
		}

		// special format for date fields.
		if($field['type']=='date'){
			$data[$field['name']] = wpetss_input_date($data[$field['name']]);
		}

		if(is_array($data[$field['name']]))
			$val = serialize($data[$field['name']]);
		else
			$val = $data[$field['name']];
		$sql .= " `".$field['name']."` = '".$wpdb->escape($val)."', ";
	}
 	$sql = rtrim($sql,', ');
	$sql .= $where;
    if($debug){
        print_r($data);
        echo $sql;exit;
    }
	wpetss_query($sql);
	if($pid == "new"){
		$pid = $wpdb->insert_id;
	}
	return $pid;
}