<?php


//$envato = new envato();
//$envato->username = 'dtbaker';
//$envato->password = '';
//$envato->init();
//print_r($envato->get_my_items());

$admins_rel = module_ticket::get_assignable_users_rel();
$columns = array(
    'number' => 'Ticket Number',
    'message_count' => 'Count',
    'subject' => 'Subject',
    'date_time' => 'Date/Time',
    'type' => 'Type',
    'status' => 'Status',
    'assigned_user' => 'Assigned User',
    'user' => 'Customer',
);
register_column_headers('wpetss-list', $columns);

?>
<div class="wrap">



    <div class="icon32" style="background: transparent url(<?php echo $plugin_url.'images/ticket_large.png';?>) no-repeat;"><br></div>
   <h2>
       <?php _e('Tickets', 'wpetss'); ?>
       <a href="admin.php?page=wpetss-create-ticket" class="button add-new-h2"><?php _e('Add New', 'wpetss');?></a>
   </h2>


    <?php if(isset($_REQUEST['msg'])){
        switch($_REQUEST['msg']){
            case 1:
                ?>
                <div id="message" class="updated below-h2"><p><?php echo sprintf(__('Ticket %s saved successfully', 'wpetss'),'<a href="?page=wpetss-edit-ticket&ticket_id='.(int)$_GET['ticket_id'].'">'.module_ticket::ticket_number((int)$_GET['ticket_id']).'</a>');?>.</p></div>
                <?php
                break;
            case 2:
                ?>
                <div id="message" class="updated below-h2"><p><?php _e('Ticket deleted successfully', 'wpetss');?>.</p></div>
                <?php
                break;
        }
    }
    ?>
    

    <form action="admin.php" method="GET" class="search_form">
        <input type="hidden" name="page" value="wpetss-dashboard">
        <input type="hidden" name="wpetss_search[user_id]" value="<?php echo isset($search['user_id'])?htmlspecialchars($search['user_id']):''; ?>">
        <input type="hidden" name="wpetss_search[assigned_user_id]" value="<?php echo isset($search['assigned_user_id'])?htmlspecialchars($search['assigned_user_id']):''; ?>">
       <table class="search_bar" width="100%">
           <tr>
               <td>
                   <?php echo __('Ticket Number:', 'wpetss');?>
               </td>
               <td>
                   <input type="text" name="wpetss_search[ticket_id]" value="<?php echo isset($search['ticket_id'])?htmlspecialchars($search['ticket_id']):''; ?>" size="5">
               </td>
               <td>
                   <?php echo __('Ticket Subject:', 'wpetss');?>
               </td>
               <td>
                   <input type="text" name="wpetss_search[generic]" value="<?php echo isset($search['generic'])?htmlspecialchars($search['generic']):''; ?>" size="10">
               </td>
               <td>
                   <?php echo __('Type:', 'wpetss');?>
               </td>
               <td>
                   <?php echo wpetss_print_select_box(module_ticket::get_types(),'wpetss_search[type]',isset($search['type'])?$search['type']:''); ?>
               </td>
               <td>
                   <?php echo __('Status:', 'wpetss');?>
               </td>
               <td>
                   <?php echo wpetss_print_select_box($search_statuses,'wpetss_search[status_id]',isset($search['status_id'])?$search['status_id']:''); ?>
               </td>
               <td align="right">
                   <input type="submit" name="dosearch" class="button-secondary" value="<?php _e('Filter', 'wpetss');?>">
                   <input type="button" name="reset" class="button-secondary" value="<?php _e('Reset', 'wpetss');?>" onclick="window.location.href='admin.php?page=wpetss-dashboard';">
               </td>
           </tr>
       </table>
    </form>

       <?php echo $pagination['summary'];?>
       <table class="widefat page fixed" cellspacing="0" id="wpetss_ticketlist">
           <thead>
               <tr>
                   <?php print_column_headers('wpetss-list'); ?>
               </tr>
           </thead>
           <!--<tfoot>
               <tr>
                   <?php /*print_column_headers('wpetss-list', false); */?>
               </tr>
           </tfoot>-->
           <tbody>
               <?php foreach ($pagination['rows'] as $ticket){
               $ticket=(array)$ticket;
               ?>
               <tr>
                   <td class="row_action" nowrap="">
                       <a href="admin.php?page=wpetss-edit-ticket&ticket_id=<?php echo $ticket['ticket_id'];?>&view=foo"><?php echo htmlspecialchars(module_ticket::ticket_number($ticket['ticket_id']));?></a>
                   </td>
                   <td class="row_action" nowrap="">
                       <?php echo $ticket['message_count'];?>
                   </td>
                   <td>
                       <a href="admin.php?page=wpetss-edit-ticket&ticket_id=<?php echo $ticket['ticket_id'];?>&view=foo">
                       <?php
                       if($ticket['unread']){
                           echo '<strong>';
                           echo ' * ';
                           echo htmlspecialchars($ticket['subject']);
                           echo '</strong>';
                       }else{
                           echo htmlspecialchars($ticket['subject']);
                       }
                       ?>
                       </a>
                   </td>
                   <td>
                      <?php
                       if($ticket['last_message_timestamp']){
                       echo date(get_option('date_format','Y-m-d').' '.get_option('time_format','H:i:s'),($ticket['last_message_timestamp']));
                       } ?>
                   </td>
                   <td>
                       <?php echo htmlspecialchars($ticket['type']); ?>
                   </td>
                   <td>
                       <?php echo htmlspecialchars(module_ticket::$ticket_statuses[$ticket['status_id']]); ?>
                   </td>
                   <td>
                       <?php echo $ticket['assigned_user_id'] && isset($admins_rel[$ticket['assigned_user_id']]) ? $admins_rel[$ticket['assigned_user_id']] : 'N/A'; ?>
                   </td>
                   <td>
                       <?php echo htmlspecialchars($ticket['user_name']); ?>
                       <?php if($ticket['wp_user_id']){
                        echo '<a href="profile.php?user_id='.$ticket['wp_user_id'].'">';
                        echo '(WP:';
                        $user = get_userdata($ticket['wp_user_id']);
                        echo $user->display_name;
                       echo ')</a>';
                   } ?>
                   </td>
               </tr>
               <?php  } ?>
           </tbody>
       </table>
    <?php echo $pagination['links'];?>
   </div>
